gtkmm: Gdk::DrawContext Class Reference

gtkmm 3.89.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gdk::DrawContext Class Reference

Drawing context base class. More...

`#include <gdkmm/drawcontext.h>`

Inheritance diagram for Gdk::DrawContext:
[legend]

## Public Member Functions
| DrawContext (DrawContext&& src) noexcept
DrawContext& | operator= (DrawContext&& src) noexcept
| ~DrawContext () noexceptoverride
GdkDrawContext* | gobj ()
| Provides access to the underlying C GObject. More...
const GdkDrawContext* | gobj () const
| Provides access to the underlying C GObject. More...
GdkDrawContext* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Display > | get_display ()
| Retrieves the Gdk::Display the context is created for. More...
Glib::RefPtr< const Display > | get_display () const
| Retrieves the Gdk::Display the context is created for. More...
Glib::RefPtr< Window > | get_window ()
| Retrieves the Gdk::Window used by the context. More...
Glib::RefPtr< const Window > | get_window () const
| Retrieves the Gdk::Window used by the context. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Display > > | property_display () const
| The Gdk::Display used to create the Gdk::DrawContext. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Window > > | property_window () const
| The Gdk::Window the gl context is bound to. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| DrawContext ()
| This constructor is protected because only derived classes shall be instantiated. More...
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexceptoverride
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gdk::DrawContext > | wrap (GdkDrawContext* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Drawing context base class.

Gdk::DrawContext is the base object used by contexts implementing different rendering methods, such as GLContext or VulkanContext. It provides shared functionality between those contexts.

You will always interact with one of those subclasses.

Since gtkmm 3.90:

## Constructor & Destructor Documentation

Gdk::DrawContext::DrawContext | ( | DrawContext&& | src | ) |
| noexcept

Gdk::DrawContext::~DrawContext | ( |  | ) |
| overridenoexcept

Gdk::DrawContext::DrawContext | ( |  | ) |
| protected

This constructor is protected because only derived classes shall be instantiated.

## Member Function Documentation

Glib::RefPtr<Display> Gdk::DrawContext::get_display | ( |  | ) |

Retrieves the Gdk::Display the context is created for.

Since gtkmm 3.90:

Returns
  A Gdk::Display or `nullptr`.

Glib::RefPtr<const Display> Gdk::DrawContext::get_display | ( |  | ) | const

Retrieves the Gdk::Display the context is created for.

Since gtkmm 3.90:

Returns
  A Gdk::Display or `nullptr`.

static GType Gdk::DrawContext::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

Glib::RefPtr<Window> Gdk::DrawContext::get_window | ( |  | ) |

Retrieves the Gdk::Window used by the context.

Since gtkmm 3.90:

Returns
  A Gdk::Window or `nullptr`.

Glib::RefPtr<const Window> Gdk::DrawContext::get_window | ( |  | ) | const

Retrieves the Gdk::Window used by the context.

Since gtkmm 3.90:

Returns
  A Gdk::Window or `nullptr`.

GdkDrawContext* Gdk::DrawContext::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GdkDrawContext* Gdk::DrawContext::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GdkDrawContext* Gdk::DrawContext::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

DrawContext& Gdk::DrawContext::operator= | ( | DrawContext&& | src | ) |
| noexcept

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Display> > Gdk::DrawContext::property_display | ( |  | ) | const

The Gdk::Display used to create the Gdk::DrawContext.

Since gtkmm 3.90:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Window> > Gdk::DrawContext::property_window | ( |  | ) | const

The Gdk::Window the gl context is bound to.

Since gtkmm 3.90:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gdk::DrawContext > wrap | ( | GdkDrawContext * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.